Package org.eclipse.viatra.query.runtime.rete.construction

## Class RetePatternBuildException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException
        - - org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException
          - - org.eclipse.viatra.query.runtime.rete.construction.RetePatternBuildException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RetePatternBuildException
      extends QueryProcessingException

  A problem has occurred during the construction of the RETE net.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetePatternBuildException​(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription)` |
    `RetePatternBuildException​(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException

      `bind, getPatternDescription, getShortMessage, setPatternDescription`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetePatternBuildException

          public RetePatternBuildException​(java.lang.String message,
                                           java.lang.String[] context,
                                           java.lang.String shortMessage,
                                           java.lang.Object patternDescription)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred

    - #### RetePatternBuildException

          public RetePatternBuildException​(java.lang.String message,
                                           java.lang.String[] context,
                                           java.lang.String shortMessage,
                                           java.lang.Object patternDescription,
                                           java.lang.Throwable cause)

      Parameters:
        `message` - The template of the exception message
        `context` - The data elements to be used to instantiate the template. Can be null if no context parameter is defined
        `patternDescription` - the PatternDescription where the exception occurred